<!-- //////////////////////START-OPPORTUNITY-FOLLOW////////////////////////////// -->
<div class="card">
    <div class="card-header">
        <h2>Seguimiento de Oportunidad</h2>
    </div>

    {% if opportunity.opportunity_status=="A" %}
        <div class="row m-l-25">
            <button type="button" class="btn palette-Light-Green bg waves-effect openFollow"><i class="zmdi zmdi-collection-plus zmdi-hc-fw"></i> Agregar nuevo seguimiento</button>
        </div>
    {% endif %}

    <div class="row p-15">

        <div class="col-lg-9 col-md-9 col-sm-12 col-sx-12 content-follow">
            {% for opmil in milestone %}

                <div class="m-15 p-15" style="border:1px solid #ccc; {% if (opmil.milestone_parent!='' and opmil.milestone_parent!='0') or (opmil.milestone_children!='' and opmil.milestone_children!='0') %}border-left:2px solid #00BCD4;{% endif %}" id="box-opmil-{{opmil.milestone_id}}">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12">
                            <div class="row">
                                <div class="col-sm-12 m-t-15" style="font-weight:900;" id="opmil-titulo-{{opmil.milestone_id}}">
                                    {{opmil.milestone_title}}
                                </div>
                                <div class="col-sm-12 m-t-15" id="opmil-descripcion-{{opmil.milestone_id}}">
                                    {{opmil.milestone_detail}}
                                </div>
                                <div class="col-sm-12 m-t-15" id="opmil-adjunto-{{opmil.milestone_id}}">
                                    {% if opmil.milestone_link!="" %}<a href="{{opmil.milestone_link}}" target="_blank">[ archivo adjunto ]</a>{% endif %}
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12">
                            <div class="row">
                                <div class="col-sm-12 m-t-15 text-right c-lime" id="opmil-fecha-{{opmil.milestone_id}}">
                                    Fecha registro {{opmil.milestone_date}}
                                </div>
                                <div class="col-sm-12 m-t-15 text-right c-lime" id="opmil-usuario-{{opmil.milestone_id}}">
                                    {{opmil.user_name}} {{opmil.user_lastname}}
                                </div>
                                <div class="col-sm-12 m-t-15 text-right c-blue" id="opmil-tipo-{{opmil.milestone_id}}" data-value="{{opmil.milestone_type}}">
                                    {% if opmil.milestone_type=="notice"%}
                                        Cambio de etapa
                                    {% else %}
                                        {% if opmil.milestone_type=="task" %}
                                            Tarea
                                        {% endif %}
                                        {% if opmil.milestone_type=="calendar" %}
                                            Reunión
                                        {% endif %}
                                        {% if opmil.milestone_type=="call" %}
                                            Llamada
                                        {% endif %}
                                        {% if opmil.milestone_type=="note" %}
                                            Nota/Comentario
                                        {% endif %}
                                        {% if opmil.milestone_type=="follow" %}
                                            Contacto/Seguimiento
                                        {% endif %}
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row m-t-15">
                        {% if opmil.milestone_type!="notice" %}
                            {% if opportunity.opportunity_status=="A" %}
                                <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 text-left">
                                    <button type="button" class="btn palette-Red bg waves-effect sa-elicontact b-dele-opmil"  data-value="{{opmil.milestone_id}}"><i class="zmdi zmdi-delete"></i> Eliminar</button>
                                    <button type="button" class="btn palette-Cyan bg waves-effect b-edit-opmil" data-value="{{opmil.milestone_id}}"><i class="zmdi zmdi-refresh-alt"></i> Editar</button>
                                </div>
                            {% endif %}
                        {% else %}
                            <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 text-right">
                            </div>
                        {% endif %}
                        {% if opmil.milestone_type!="notice" and opmil.milestone_status=="0" %}
                            {% if opportunity.opportunity_status=="A" %}
                                <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 text-right">
                                    <button type="button" class="btn palette-Blue-Grey bg waves-effect b-estado-opmil" data-value="{{opmil.milestone_id}}" id="b-estado-opmil-{{opmil.milestone_id}}">Pendiente, confirmar ahora!</button>
                                </div>
                            {% endif %}
                        {% else %}
                            <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 text-right">
                                <p class="c-green"><i class="zmdi zmdi-check"></i> Realizado</p>
                            </div>
                        {% endif %}
                        <input type="hidden" id="opmil-status-{{opmil.milestone_id}}" name="opmil-status-{{opmil.milestone_id}}" value="{{opmil.milestone_status}}" />
                    </div>
                </div>

            {% endfor %}
        </div>

        <div class="col-lg-3 col-md-3 col-sm-12 col-sx-12">
            {% if opportunity.opportunity_status=="A" and opportunity.opportunity_total>0 %}
                <div class="m-15 p-15" style="border:1px solid #ccc; vertical-align:top;">
                    <button type="button" class="btn palette-Green bg waves-effect w-100 ganarOp">¡Oportunidad Ganada! <i class="zmdi zmdi-thumb-up"></i></button>
                </div>
            {% endif %}

            <div class="m-15 p-15" style="border:1px solid #ccc; vertical-align:top;">

                <div id="calendar-op" class="card-padding-sm">
                    <div id="cw-body"> </div>
                </div>




                <div style="margin:20px 0; border-top:1px solid #ccc;"></div>

                <p class="c-purple">Tareas pendientes</p>

                {% for opt in task %}
                    <p>
                        <strong>{{opt.milestone_date}}</strong><br>
                        {{opt.milestone_title}}
                    </p>
                {% endfor %}
            </div>
        </div>
    </div>

    <br>
</div>


<!-- //////////////////////POPUP WIN-OP////////////////////////////// -->

<div class="modal fade" id="ganarOp" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Ganar Oportunidad {{client_type}}</h4>
            </div>
            <div class="modal-body">
                {%if opportunity.client_type != "Temporal"%}
                    <form role="form" id="form-wop">
                        <div class="row">

                            <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="zmdi zmdi-comment-text"></i></span>
                                    <div class="fg-line fopc1Has">
                                        <select class="selectpicker" name="milestone_title" id="wmilestone_title" data-placeholder="Motivo de cierre">
                                            <option value="Oportunidad Ganada">Oportunidad Ganada</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="zmdi zmdi-comment-text"></i></span>
                                    <div class="fg-line fopc2Has">
                                        <input type="text" class="form-control" id="wmilestone_detail" name="milestone_detail" placeholder="Detalle cierre">
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                                    <div class="fg-line fopc3Has">
                                        <input type="text" class="date-picker form-control" id="wmilestone_date" value="{{ "now"|date("d/m/Y") }}" name="milestone_date" placeholder="Fecha">
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="zmdi zmdi-thumb-up"></i></span>
                                    <div class="fg-line fopc4Has">
                                        <select class="selectpicker" id="wmilestone_status" name="milestone_status">
                                            <option value="V">Convertir en Venta</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-25 text-right">
                                <input type="hidden" name="mclient_id" id="mclient_id" value="{{opportunity.client_id}}" />
                                <input type="hidden" name="mbrand_id" id="mbrand_id" value="{{opportunity.brand_id}}" />
                                <button type="button" class="btn palette-Green bg waves-effect opwin"><i class="zmdi zmdi-thumb-up"></i> Confirmar oportunidad</button>
                            </div>
                        </div>
                    </form>
                {%else%}
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-15">
                            <h2>
                                Cliente Temporal
                            </h2>
                            <p>
                                No se puede realizar está operación porque el tipo de cliente es temporal. Primero se deberán completar los datos y luego actualizar el tipo de cliente.
                            </p>
                        </div>
                    </div>
                {%endif%}
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-link" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>

<!-- //////////////////////END-OPPORTUNITY-FOLLOW////////////////////////////// -->

<div class="modal fade" id="modalFollow" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog  modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Agregar/Editar seguimiento</h4>
            </div>
            <div class="modal-body">
				{% if cantidad_productos<=0 %}
					<div class="row">
						<div class="col-sm-12 m-t-15 text-center">
							<h2>¡Debe agregar productos a la oportunidad!<br>No puedes crear seguimientos</h2>
						</div>
						<div class="col-sm-12 m-t-15">
							<div class="modal-footer">
								<button type="button" class="btn btn-link" data-dismiss="modal">Cerrar</button>
							</div>
						</div>
					</div>
				{% else %}
					<div class="row">
						<form role="form" id="form-opmil" enctype="multipart/form-data">

							<div class="col-lg-6 col-md-6 col-sm-12 col-sx-12">
								<div class="c-blue" style="border-bottom:1px solid #0000ff; margin:0 0 15px 0; padding: 0 0 5px 0; ">Nuevo seguimiento</div>

								<div class="row">
									<div class="col-sm-12 m-t-15">
										<div class="input-group">
											<span class="input-group-addon"><i class="zmdi zmdi-collection-bookmark"></i></span>
											<div class="fg-line fopm4Has">
												<select class="selectpicker" name="milestone_stage" id="milestone_stage_f" data-placeholder="Etapa">
													<option value="">Etapa Oportunidad</option>
													<option value="start" {% if opportunity.opportunity_stage=="Contacto inicial" %}selected{% endif %}>Contacto inicial</option>
													<option value="evaluation" {% if opportunity.opportunity_stage=="En evaluación" %}selected{% endif %}>En evaluación</option>
													<option value="budget" {% if opportunity.opportunity_stage=="Presupuestado" %}selected{% endif %}>Presupuestado</option>
													<option value="close" {% if opportunity.opportunity_stage=="Cierre" %}selected{% endif %}>Cierre</option>
												</select>
											</div>
										</div>
									</div>
									<div class="col-sm-12 m-t-15">
										<div class="input-group">
											<span class="input-group-addon"><i class="zmdi zmdi-comment-text"></i></span>
											<div class="fg-line fopm1Has">
												<input class="form-control" placeholder="Titulo" name="milestone_title" id="milestone_title_f" type="text">
											</div>
										</div>
									</div>
									<div class="col-sm-12 m-t-15">
										<div class="row">
											<div class="col-sm-4">
												<div class="input-group">
													<span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
													<div class="fg-line fopm2Has">
														<input class="form-control milestoneCurrent" placeholder="Fecha" name="milestone_date" id="milestone_date_f" type="text">
													</div>
												</div>
											</div>
											<div class="col-sm-4">
												<div class="input-group">
													<div class="fg-line fopmTS2Has">
														<input class="form-control time-picker" placeholder="Hora inicio" name="milestone_time_start" id="milestone_time_start" type="text">
													</div>
												</div>
											</div>
											<div class="col-sm-4">
												<div class="input-group">
													<div class="fg-line fopmTE2Has">
														<input class="form-control time-picker" placeholder="Hora Fin" name="milestone_time_end" id="milestone_time_end" type="text">
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="col-sm-12 m-t-15">
										<div class="input-group">
											<span class="input-group-addon"><i class="zmdi zmdi-comment-text"></i></span>
											<div class="fg-line fopm3Has">
												<input class="form-control" placeholder="Detalle" name="milestone_detail" id="milestone_detail_f" type="text">
											</div>
										</div>
									</div>
									<div class="col-sm-12 m-t-15">
										<div class="input-group">
											<span class="input-group-addon"><i class="zmdi zmdi-collection-bookmark"></i></span>
											<div class="fg-line fopm4Has">
												<select class="selectpicker" name="milestone_type" id="milestone_type_f" data-placeholder="Tipo">
													<option value="">Tipo</option>
													<option value="task">Tarea</option>
													<option value="calendar">Reunión</option>
													<option value="call">Llamada</option>
													<option value="follow">Contacto/Seguimiento</option>
													<option value="note">Nota/Comentario</option>
												</select>
											</div>
										</div>
									</div>
									<div class="col-sm-12 m-t-15">
										<div class="fileinput fileinput-new m-l-15" data-provides="fileinput">
											<span class="btn btn-primary btn-file m-r-10">
												<span class="fileinput-new">Adjuntar archivo</span>
												<span class="fileinput-exists">Cambiar</span>
												<input type="file">
											</span>
											<span class="fileinput-filename"></span>
											<a href="#" class="close fileinput-exists" data-dismiss="fileinput">&times;</a>
										</div>
										<div id="milestone_link_fv"></div>
										<input type="hidden" id="milestone_link_f" name="milestone_link" value="" />
									</div>
								</div>
							</div>
							<div class="col-lg-6 col-md-6 col-sm-12 col-sx-12">
								<div class="c-red" style="border-bottom:1px solid #ff0000; margin:0 0 15px 0; padding: 0 0 5px 0; ">Próximos pasos</div>

								<div class="row">
									<div class="col-sm-12 m-t-15 checkbox">
										<label>
											<input  value="calendar" id="milestone_calendar_type_next" name="milestone_calendar_type_next" type="checkbox">
											<i class="input-helper"></i>
											Reunión
										</label>
									</div>
									<div class="col-sm-4 ">
										<input class="form-control milestoneNext" placeholder="Fecha" name="milestone_calendar_date_next" id="milestone_calendar_date_next" type="text">
									</div>
									<div class="col-sm-4">
										<input class="form-control time-picker" placeholder="Hora Inicio" name="milestone_calendar_time_start_next" id="milestone_calendar_time_start_next" type="text">
									</div>
									<div class="col-sm-4">
										<input class="form-control time-picker" placeholder="Hora Fin" name="milestone_calendar_time_end_next" id="milestone_calendar_time_end_next" type="text">
									</div>
									<div class="col-sm-12">
										<input class="form-control" placeholder="Detalle" name="milestone_calendar_detail_next" id="milestone_calendar_detail_next" type="text">
									</div>
								</div>

								<div class="row m-t-15">
									<div class="col-sm-12 m-t-15 checkbox">
										<label>
											<input  value="call" id="milestone_call_type_next" name="milestone_call_type_next" type="checkbox">
											<i class="input-helper"></i>
											Llamada
										</label>
									</div>
									<div class="col-sm-4">
										<input class="form-control milestoneNext" placeholder="Fecha" name="milestone_call_date_next" id="milestone_call_date_next" type="text">
									</div>
									<div class="col-sm-4">
										<input class="form-control time-picker" placeholder="Hora Inicio" name="milestone_call_time_start_next" id="milestone_call_time_start_next" type="text">
									</div>
									<div class="col-sm-4">
										<input class="form-control time-picker" placeholder="Hora Fin" name="milestone_call_time_end_next" id="milestone_call_time_end_next" type="text">
									</div>
									<div class="col-sm-12">
										<input class="form-control" placeholder="Detalle" name="milestone_call_detail_next" id="milestone_call_detail_next" type="text">
									</div>

								</div>
								<div class="row m-t-15">
									<div class="col-sm-12 m-t-15 checkbox">
										<label>
											<input  value="follow" id="milestone_follow_type_next" name="milestone_follow_type_next" type="checkbox">
											<i class="input-helper"></i>
											Seguimiento
										</label>
									</div>
									<div class="col-sm-4">
										<input class="form-control milestoneNext" placeholder="Fecha" name="milestone_follow_date_next" id="milestone_follow_date_next" type="text">
									</div>
									<div class="col-sm-8">
										<input class="form-control" placeholder="Detalle" name="milestone_follow_detail_next" id="milestone_follow_detail_next" type="text">
									</div>
								</div>
							</div>
							<input type="hidden" id="milestone_follow_time_start_next" name="milestone_follow_time_start_next" value="" />
							<input type="hidden" id="milestone_follow_time_end_next" name="milestone_follow_time_end_next" value="" />
							<input type="hidden" id="milestone_id_f" name="milestone_id" value="" />
							<input type="hidden" id="milestone_status_f" name="milestone_status_f" value="1" />

							<input type="hidden" id="milestone_id_close_f" name="milestone_id_close_f" value="" />
							<input type="hidden" id="milestone_newstage_f" name="milestone_newstage" value="{{opportunity.opportunity_stage}}" />
							<input type="hidden" id="milestone_last_date" name="milestone_last_date" value="{{milestone_last_date}}" />
						</form>
					</div>

					<div class="modal-footer">
            <button type="button" class="btn btn-link" data-dismiss="modal">Cerrar</button>
						<button type="button" class="btn btn-primary sa-guardar sf-opmil"><i class="zmdi zmdi-check"></i> Guardar</button>
					</div>

				{% endif %}
            </div>
        </div>
    </div>
</div>
